import 'package:matrix_sdk/matrix_sdk.dart';
import 'package:url/url.dart';

void main() async {
  final homeserver = Homeserver(Url.parse('https://pattle.im'));

  final user = await homeserver.login(Username('pat'), 'pattle');

  await for (SyncState _ in user.sync()) {
    for (Room room in await user.rooms.get()) {
      print(room.name);
    }
  }
}
